<div class="flex flex-col flex-auto w-full" style="background-color:#F8F8F8;">
    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" (click)="cancel()">
            <mat-icon class="mt-6 mb-6 " style="color: #0038FF;">keyboard_arrow_left</mat-icon>
            <span class="mt-6 mb-6 font-Semibold-16" style="color: #0038FF;">Back</span>
        </div>
        <div>
            <mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon>
        </div>
    </div>

    <div class="flex flex-col items-center mx-auto sm:justify-center min-w-0 my-6">
        <div class="w-full text-center sm:w-auto mx-auto sm:px-20 sm:py-12 bg-card box-width"
            style="width: 491px !important;box-shadow: 0px 0px 6px #0000001A;">
            <div class="w-full max-w-100  mx-auto sm:mx-0">
                <!-- Redeemable Bursa Gold Dinar -->
                <div class="w-full max-w-100 mx-auto sm:mx-0">
                    <div>
                        <img class="object-center px-14" src="assets/images/bgd/redeem-coin.png" alt="" *ngIf="enoughRedeem">
                        <img class="object-center px-14" src="assets/images/bgd/redeem-coin-insufficient.png" alt="" *ngIf="!enoughRedeem">
                    </div>

                    <div class="font-Semibold-30 leading-8 mt-5">{{ maxNumberOfGoldPieces }} units of Redeemable Bursa
                        Gold Dinar Coins</div>
                    <div class="font-Regular-16 font-7B7B7B leading-5 my-5">Redeem your own physical<br>Bursa Gold Dinar
                        Coin
                    </div>
                </div>
            </div>

            <table style="display: inline;">
                <tbody>
                    <tr>
                        <td class="font-Regular-16 font-7B7B7B leading-none mt-10 pr-5"
                            style="border-right: 1px solid #D1D3D4;">1 Gold Coin Weight</td>
                        <td class="font-Regular-16 font-7B7B7B leading-none mt-10 pl-5">You have</td>
                    </tr>
                    <tr>
                        <td class="font-Bold-18 font-141461 leading-none mt-1.5 pr-5"
                            style="border-right: 1px solid #D1D3D4;">4.250000g</td>
                        <td class="font-Bold-18 font-141461 leading-none mt-1.5 pl-5">
                            {{ availAmount | number: '.6' }}g
                        </td>
                    </tr>
                </tbody>
            </table>
            <br>
            <fuse-alert class="mt-8" *ngIf="showAlert" [showIcon]="false" [type]="alert.type"
                [@shake]="alert.type === 'error'">
                {{alert.message}}
            </fuse-alert>

            <button mat-flat-button 
                (click)="redeemNow()" 
                [class.button-r5-disabled]="!enoughRedeem"
                class="button inline-flex items-center justify-center w-full mt-10 button-r5" color="primary"
                [disabled]="!enoughRedeem">Redeem</button><br>
        </div>
    </div>
</div>